
****************************************************************************
*
* Search the NOVA database
*
* 7/4/90 - Michael McGhee, 76424,3407
*
****************************************************************************

SET ESCAPE OFF
SET TALK OFF
SET DOHISTORY OFF

SELE 1
USE NOVA

DEFINE WINDOW NOVHEADER FROM 1,1 TO 10,78 ;
                             SHADOW ;
                             TITLE 'Netwire' ;
                             COLOR SCHEME 10
						  
DEFINE WINDOW NOVDESCRIPT FROM 13,1 TO 22,78 ;
                               SHADOW ;
                               TITLE "Description";
                               COLOR SCHEME 5

DEFINE WINDOW PLEASEWAIT FROM 10,32 TO 14,46 ;
                              COLOR SCHEME 12

ON KEY LABEL F10 DO EXITNOVA
ON KEY LABEL F9 DO EXITSRCH

DONE=.F.

DO WHILE .NOT. DONE

TOSEARCH=SPACE(30)
SET COLOR TO W/N
CLEAR

@ 1,1 SAY 'SEARCH : ' GET TOSEARCH
READ

IF READKEY()=12 .OR. EMPTY(TOSEARCH)
  DONE=.T.
  LOOP
ENDIF

TOSEARCH=TRIM(TOSEARCH)

CLEAR
SET COLOR TO W/B
@ 24,1 SAY ' ESC - Continue  F9 - New Search   F10 - Exit Program'
SET COLOR TO W/N
GO TOP
SDONE=.F.
DO PLWAIT
DO WHILE .NOT. EOF() .AND. .NOT. SDONE
  KEYFOUND=AT(UPPER(TOSEARCH),KEYWORDS)>0

  IF .NOT. KEYFOUND
     KEYFOUND=.NOT. EMPTY(MLINE(DESCRIPT,ATLINE(TOSEARCH,DESCRIPT)))
  ENDIF

  IF KEYFOUND
    DEACTIVATE WINDOW PLEASEWAIT
    ACTIVATE WINDOW NOVHEADER
    @ 1,1  SAY FNAME
    @ 1,30 SAY DTOC(DATE)
    @ 1,40 SAY SIZE
    @ 1,60 SAY LIB
    @ 2,1  SAY PPN
    @ 4,1  SAY KEYWORDS
    @ 6,1  SAY TITLE
    MODIFY MEMO DESCRIPT NOEDIT WINDOW NOVDESCRIPT
    DO PLWAIT
  ENDIF

  SKIP

ENDDO

DEACTIVATE WINDOW PLEASEWAIT

IF EOF()
   WAIT "End of file ... " WINDOW TIMEOUT 2
ENDIF
DEACTIVATE WINDOW NOVHEADER

ENDDO

CLOSE DATA
CLEAR
RETURN


PROCEDURE EXITSRCH
  SDONE=.T.
  DEACTIVATE WINDOW NOVHEADER
  KEYBOARD CHR(23)
RETURN

PROCEDURE EXITNOVA
  DONE=.T.
  SDONE=.T.
  DEACTIVATE WINDOW NOVHEADER
  RELEASE ALL
  KEYBOARD CHR(27)
RETURN 

PROCEDURE PLWAIT
ACTIVATE WINDOW PLEASEWAIT
SET COLOR TO GR+*/B
@ 1,1 SAY 'Please Wait'
RETURN
